Skip to main content
GET
/
v1
/
consumer-profiles
List Consumer Profiles
curl --request GET \
  --url https://api.dispersed.com/v1/consumer-profiles
{
  "data": [
    {
      "is_active": true,
      "is_compute_billing_enabled": true,
      "object": "consumer_profile",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "uuid": "<string>",
      "account_uuid": "<string>",
      "render_user_id": "<string>",
      "allowed_region_codes": [],
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[account_uuid]
string
filter[is_compute_billing_enabled]
string
filter[uuid]
string

Response

200 - application/json

List of Consumer Profiles

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required